# Flow per expiry `GET` `https://api.unusualwhales.com/api/stock/{ticker}/flow-per-expiry` Returns the option flow per expiry for the last trading day ## Authentication ``` Authorization: Bearer YOUR_API_KEY ``` ## Path Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `ticker` | SingleTicker | Yes | A single ticker | ## Response (200) | Field | Type | Description | |-------|------|-------------| | `call_otm_premium` | Market General Call OTM Premium | The sum of the premium of all the out the money (OTM) call transactions that executed. | | `call_otm_trades` | Market General Call OTM Trades | The amount of out the money (OTM) call transactions that executed. | | `call_otm_volume` | Market General Call OTM Volume | The sum of the size of all the out the money (OTM) call transactions that executed. | | `call_premium` | Market General Call Premium | The sum of the premium of all the call transactions that executed. | | `call_premium_ask_side` | Market General Call Premium Ask Side | The sum of the premium of all the call transactions that executed on the ask side. | | `call_premium_bid_side` | Market General Call Premium Bid Side | The sum of the premium of all the call transactions that executed on the bid side. | | `call_trades` | Market General Call Trades | The amount of call transactions that executed. | | `call_volume` | Market General Call Volume | The sum of the size of all the call transactions that executed. | | `call_volume_ask_side` | Market General Call Volume Ask Side | The sum of the size of all the call transactions that executed on the ask side. | | `call_volume_bid_side` | Market General Call Volume Bid Side | The sum of the size of all the call transactions that executed on the bid side. | | `date` | Market General Trading day | A trading date in ISO format. | | `expiry` | Option Contract Expiry | The contract expiry date in ISO format. | | `put_otm_premium` | Market General Put OTM Premium | The sum of the premium of all the out the money (OTM) put transactions that executed. | | `put_otm_trades` | Market General Put OTM Trades | The amount of out the money (OTM) put transactions that executed. | | `put_otm_volume` | Market General Put OTM Volume | The sum of the size of all the out the money (OTM) put transactions that executed. | | `put_premium` | Market General Put Premium | The sum of the premium of all the put transactions that executed. | | `put_premium_ask_side` | Market General Put Premium Ask Side | The sum of the premium of all the put transactions that executed on the ask side. | | `put_premium_bid_side` | Market General Put Premium Bid Side | The sum of the premium of all the put transactions that executed on the bid side. | | `put_trades` | Market General Put Trades | The amount of put transactions that executed. | | `put_volume` | Market General Put Volume | The sum of the size of all the put transactions that executed. | | `put_volume_ask_side` | Market General Put Volume Ask Side | The sum of the size of all the put transactions that executed on the ask side. | | `put_volume_bid_side` | Market General Put Volume Bid Side | The sum of the size of all the put transactions that executed on the bid side. | | `ticker` | Stock Ticker | The stock ticker. | ## Example ### curl ```bash curl -X GET "https://api.unusualwhales.com/api/stock/{ticker}/flow-per-expiry" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Accept: application/json" ``` ### Python ```python import http.client conn = http.client.HTTPSConnection("api.unusualwhales.com") headers = {"Authorization": "Bearer YOUR_API_KEY", "Accept": "application/json"} conn.request("GET", "/api/stock/{ticker}/flow-per-expiry", headers=headers) response = conn.getresponse() print(response.read().decode("utf-8")) ``` ## Response Example ```json { "data": [ { "call_otm_premium": "3885339", "call_otm_trades": 10213, "call_otm_volume": 81598, "call_premium": "5839180", "call_premium_ask_side": "2615356", "call_premium_bid_side": "2722619", "call_trades": 11383, "call_volume": 89177, "call_volume_ask_side": 43669, "call_volume_bid_side": 40164, "date": "2024-01-22", "expiry": "2024-01-26", "put_otm_premium": "632247", "put_otm_trades": 2077, "put_otm_volume": 12164, "put_premium": "4802145", "put_premium_ask_side": "3593584", "put_premium_bid_side": "690572", "put_trades": 2744, "put_volume": 20101, "put_volume_ask_side": 7396, "put_volume_bid_side": 8113, "ticker": "BABA" }, { "call_otm_premium": "1264038", "call_otm_trades": 2550, "call_otm_volume": 17525, "call_premium": "1869073", "call_premium_ask_side": "885103", "call_premium_bid_side": "832727", "call_trades": 2936, "call_volume": 19268, "call_volume_ask_side": 7778, "call_volume_bid_side": 9875, "date": "2024-01-22", "expiry": "2024-02-02", "put_otm_premium": "206709", "put_otm_trades": 588, "put_otm_volume": 3581, "put_premium": "627117", "put_premium_ask_side": "191982", "put_premium_bid_side": "354687", "put_trades": 847, "put_volume": 4709, "put_volume_ask_side": 1238, "put_volume_bid_side": 3004, "ticker": "BABA" } ], "date": "2024-01-22" } ```